<?php

namespace App\Models;


use Illuminate\Database\Eloquent\Model;
use Astrotomic\Translatable\Contracts\Translatable as TranslatableContract;
use Astrotomic\Translatable\Translatable;

class WebinarInstructorTestimonial extends Model implements TranslatableContract
{
    use Translatable;

    protected $table = 'webinar_instructor_testimonials';
    //protected $dateFormat = 'U';
    protected $guarded = ['id'];
    public $translatedAttributes = ['name','comment'];
    
    public function getNameAttribute()
    {
        return getTranslateAttributeValue($this, 'name');
    }
    
    public function getCommentAttribute()
    {
        return getTranslateAttributeValue($this, 'comment');
    }
   
}

